FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=15923&edit=1

ID: 15923
Updated by: daniel.oconnor@gmail.com
Reported By: holger dot schletz at web dot de
Summary: Cannot download or install package through 'pear'
command
Status: Open
Type: Bug
Package: MDB2_Schema
Operating System: SUSE Enterprise Server 10 SP2
Package Version: 0.8.4
PHP Version: 5.2.5
Roadmap Versions:
New Comment:

Doing a pear upgrade won't break your distro and may well fix this ->
recommend that.


Previous Comments:
------------------------------------------------------------------------

[2009-02-20 17:55:23] hschletz

<div id="changeset">
<span class="removed">-PHP Version: Irrelevant</span>
<span class="added">+PHP Version: 5.2.5</span>
</div>

------------------------------------------------------------------------

[2009-02-20 17:52:58] hschletz

<div id="changeset">
<span class="removed">-Package Version:</span>
<span class="added">+Package Version: 0.8.4</span>
</div>

------------------------------------------------------------------------

[2009-02-20 14:31:46] hschletz

Description:
------------
Trying to download or install MDB2_Schema through the 'pear' command
aborts with errors. I have to download the Package from the website and
install it manually. Other PEAR packages work fine.

PEAR Version is 1.6.1 (from my distro - I don't want to upgrade unless
I really have to). MDB2_Schema depends on 1.6.0 or later, so this should
be OK (unless the version dependency is wrong).

Test script:
---------------
# pear install MDB2_Schema-beta
# pear download MDB2_Schema-beta


Expected result:
----------------
package gets installed.


Actual result:
--------------
downloading MDB2_Schema-0.8.4.tgz ...
Starting to download MDB2_Schema-0.8.4.tgz (76,430 bytes)
.................done: 76,430 bytes
Validation Error: File "www/mdb2_schematool/result.php" in directory
"<dir name="/">" has invalid role "www", should be one of data, doc,
php, script, test
Validation Error: File "www/mdb2_schematool/index.php" in directory
"<dir name="/">" has invalid role "www", should be one of data, doc,
php, script, test
Validation Error: File "www/mdb2_schematool/class.inc.php" in directory
"<dir name="/">" has invalid role "www", should be one of data, doc,
php, script, test
Validation Error: File "www/mdb2_schematool/action.php" in directory
"<dir name="/">" has invalid role "www", should be one of data, doc,
php, script, test
Parsing of package.xml from file "/tmp/pear/cache/package.xml" failed
Download of "pear/MDB2_Schema" succeeded, but it is not a valid package
archive
Error: cannot download "pear/MDB2_Schema"
Download failed
install failed

------------------------------------------------------------------------

Search Discussions

  • Ifeghali at Feb 22, 2009 at 2:15 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=15923&edit=1

    ID: 15923
    Updated by: ifeghali@php.net
    Reported By: holger dot schletz at web dot de
    Summary: Cannot download or install package through 'pear'
    command
    Status: Open
    Type: Bug
    Package: MDB2_Schema
    Operating System: SUSE Enterprise Server 10 SP2
    Package Version: 0.8.4
    PHP Version: 5.2.5
    -Assigned To:
    +Assigned To: ifeghali
    Roadmap Versions:
    New Comment:

    <div id="changeset">
    <span class="removed">-Assigned To:</span>
    <span class="added">+Assigned To: ifeghali</span>
    </div>
    reproduced. let me check when PEAR introduced the www role.


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-02-21 09:28:56] doconnor

    Doing a pear upgrade won't break your distro and may well fix this ->
    recommend that.

    ------------------------------------------------------------------------

    [2009-02-20 17:55:23] hschletz

    <div id="changeset">
    <span class="removed">-PHP Version: Irrelevant</span>
    <span class="added">+PHP Version: 5.2.5</span>
    </div>

    ------------------------------------------------------------------------

    [2009-02-20 17:52:58] hschletz

    <div id="changeset">
    <span class="removed">-Package Version:</span>
    <span class="added">+Package Version: 0.8.4</span>
    </div>

    ------------------------------------------------------------------------

    [2009-02-20 14:31:46] hschletz

    Description:
    ------------
    Trying to download or install MDB2_Schema through the 'pear' command
    aborts with errors. I have to download the Package from the website and
    install it manually. Other PEAR packages work fine.

    PEAR Version is 1.6.1 (from my distro - I don't want to upgrade unless
    I really have to). MDB2_Schema depends on 1.6.0 or later, so this should
    be OK (unless the version dependency is wrong).

    Test script:
    ---------------
    # pear install MDB2_Schema-beta
    # pear download MDB2_Schema-beta


    Expected result:
    ----------------
    package gets installed.


    Actual result:
    --------------
    downloading MDB2_Schema-0.8.4.tgz ...
    Starting to download MDB2_Schema-0.8.4.tgz (76,430 bytes)
    .................done: 76,430 bytes
    Validation Error: File "www/mdb2_schematool/result.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/index.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/class.inc.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/action.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Parsing of package.xml from file "/tmp/pear/cache/package.xml" failed
    Download of "pear/MDB2_Schema" succeeded, but it is not a valid package
    archive
    Error: cannot download "pear/MDB2_Schema"
    Download failed
    install failed

    ------------------------------------------------------------------------
  • Ifeghali at Feb 22, 2009 at 2:21 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=15923&edit=1

    ID: 15923
    Updated by: ifeghali@php.net
    Reported By: holger dot schletz at web dot de
    Summary: Cannot download or install package through 'pear'
    command
    Status: Assigned
    Type: Bug
    Package: MDB2_Schema
    Operating System: SUSE Enterprise Server 10 SP2
    Package Version: 0.8.4
    PHP Version: 5.2.5
    Assigned To: ifeghali
    Roadmap Versions:
    New Comment:

    dependency is wrong. PEAR introduced the 'www' role in version 1.7.0.
    you have two workarounds:

    * pear download MDB2_Schema, extract it, edit package.xml to remove the
    section with www/ files. then pear install package.xml

    or

    * install PEAR > 1.7.0 for your user only (and let system-wide PEAR
    untouched). for more information on that please "pear help
    config-create".


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-02-22 14:15:42] ifeghali

    <div id="changeset">
    <span class="removed">-Assigned To:</span>
    <span class="added">+Assigned To: ifeghali</span>
    </div>
    reproduced. let me check when PEAR introduced the www role.

    ------------------------------------------------------------------------

    [2009-02-21 09:28:56] doconnor

    Doing a pear upgrade won't break your distro and may well fix this ->
    recommend that.

    ------------------------------------------------------------------------

    [2009-02-20 17:55:23] hschletz

    <div id="changeset">
    <span class="removed">-PHP Version: Irrelevant</span>
    <span class="added">+PHP Version: 5.2.5</span>
    </div>

    ------------------------------------------------------------------------

    [2009-02-20 17:52:58] hschletz

    <div id="changeset">
    <span class="removed">-Package Version:</span>
    <span class="added">+Package Version: 0.8.4</span>
    </div>

    ------------------------------------------------------------------------

    [2009-02-20 14:31:46] hschletz

    Description:
    ------------
    Trying to download or install MDB2_Schema through the 'pear' command
    aborts with errors. I have to download the Package from the website and
    install it manually. Other PEAR packages work fine.

    PEAR Version is 1.6.1 (from my distro - I don't want to upgrade unless
    I really have to). MDB2_Schema depends on 1.6.0 or later, so this should
    be OK (unless the version dependency is wrong).

    Test script:
    ---------------
    # pear install MDB2_Schema-beta
    # pear download MDB2_Schema-beta


    Expected result:
    ----------------
    package gets installed.


    Actual result:
    --------------
    downloading MDB2_Schema-0.8.4.tgz ...
    Starting to download MDB2_Schema-0.8.4.tgz (76,430 bytes)
    .................done: 76,430 bytes
    Validation Error: File "www/mdb2_schematool/result.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/index.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/class.inc.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Validation Error: File "www/mdb2_schematool/action.php" in directory
    "<dir name="/">" has invalid role "www", should be one of data, doc,
    php, script, test
    Parsing of package.xml from file "/tmp/pear/cache/package.xml" failed
    Download of "pear/MDB2_Schema" succeeded, but it is not a valid package
    archive
    Error: cannot download "pear/MDB2_Schema"
    Download failed
    install failed

    ------------------------------------------------------------------------
  • Ifeghali at Feb 22, 2009 at 2:23 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=15923&edit=1

    ID: 15923
    Updated by: ifeghali@php.net
    Reported By: holger dot schletz at web dot de
    Summary: Cannot download or install package through 'pear'
    command
    -Status: Assigned
    +Status: Closed
    Type: Bug
    Package: MDB2_Schema
    Operating System: SUSE Enterprise Server 10 SP2
    Package Version: 0.8.4
    PHP Version: 5.2.5
    Assigned To: ifeghali
    Roadmap Versions:
    New Comment:

    <div id="changeset">
    <span class="removed">-Status: Assigned</span>
    <span class="added">+Status: Closed</span>
    </div>
    This bug has been fixed in CVS.

    If this was a documentation problem, the fix will appear on
    pear.php.net by the end of next Sunday (CET).

    If this was a problem with the pear.php.net website, the change should
    be live shortly.

    Otherwise, the fix will appear in the package's next release.

    Thank you for the report and for helping us make PEAR better.




    Previous Comments:
    ------------------------------------------------------------------------

    [2009-02-22 14:21:05] ifeghali

    dependency is wrong. PEAR introduced the 'www' role in version 1.7.0.
    you have two workarounds:

    * pear download MDB2_Schema, extract it, edit package.xml to remove the
    section with www/ files. then pear install package.xml

    or

    * install PEAR > 1.7.0 for your user only (and let system-wide PEAR
    untouched). for more information on that please "pear help
    config-create".

    ------------------------------------------------------------------------

    [2009-02-22 14:15:42] ifeghali

    <div id="changeset">
    <span class="removed">-Assigned To:</span>
    <span class="added">+Assigned To: ifeghali</span>
    </div>
    reproduced. let me check when PEAR introduced the www role.

    ------------------------------------------------------------------------

    [2009-02-21 09:28:56] doconnor

    Doing a pear upgrade won't break your distro and may well fix this ->
    recommend that.

    ------------------------------------------------------------------------

    [2009-02-20 17:55:23] hschletz

    <div id="changeset">
    <span class="removed">-PHP Version: Irrelevant</span>
    <span class="added">+PHP Version: 5.2.5</span>
    </div>

    ------------------------------------------------------------------------

    [2009-02-20 17:52:58] hschletz

    <div id="changeset">
    <span class="removed">-Package Version:</span>
    <span class="added">+Package Version: 0.8.4</span>
    </div>

    ------------------------------------------------------------------------

    The remainder of the comments for this report are too long. To view
    the rest of the comments, please view the bug report online at
    http://pear.php.net/bugs/bug.php?id=15923

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedFeb 21, '09 at 9:29a
activeFeb 22, '09 at 2:23p
posts4
users2
websitepear.php.net

2 users in discussion

Ifeghali: 3 posts Daniel Oconnor: 1 post

People

Translate

site design / logo © 2022 Grokbase